/***************************************************************************
                          TDEProcessConnect.h  -  description
                             -------------------
    begin                : Tue May 2 2000
    copyright            : (C) 2000 by Martin Heni
    email                : martin@heni-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _KPROCESSCONNECT_H_
#define _KPROCESSCONNECT_H_

#include <kprocess.h>
//#include <ksock.h>
// #include "KEInput.h"
#include "KEMessage.h"
#include "KChildConnect.h"


class TDEProcessConnect: public KChildConnect
{
  Q_OBJECT
  

  private:
  TDEProcess *process;
  TQString processname;
  bool running;

  public:
  TDEProcessConnect();
  ~TDEProcessConnect();
  bool Init(int id=0,KEMessage *msg=0);
  bool Exit();
  bool Next();
 //  bool SendMsg(KEMessage *msg);
  virtual bool Send(TQString str);
  // void Receive(TQString input);

  public slots:
  void  slotReceivedStdout(TDEProcess *proc, char *buffer, int buflen);
  void  slotProcessExited(TDEProcess *p);
  void  slotWroteStdin(TDEProcess *p);


  signals:
  void signalPrepareMove(KEMessage *msg,KG_INPUTTYPE type); 
//  void signalReceiveMsg(KEMessage *msg); 
};

#endif
